﻿using Syncfusion.UI.Xaml.Reports;
using System.Collections.Generic;
using System.IO;
using System.Reflection;
using Windows.UI.Core;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace SyncfusionReports
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            Loaded += MainPage_Loaded;
        }

        private void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            this.reportViewer.ReportLoaded += ReportViewer_ReportLoaded;
            Assembly assembly = typeof(MainPage).GetTypeInfo().Assembly;
            Stream reportStream = assembly.GetManifestResourceStream("SyncfusionReports.MainReport.rdlc");
            // If we comment the LoadReport line and uncomment the ReportPath line, on UWP the SfReportViewer controll enters an infinite loading
            reportViewer.LoadReport(reportStream);
            //reportViewer.ReportPath = @"../../MainReport.rdlc";
            reportViewer.ProcessingMode = ProcessingMode.Local;
            reportViewer.RefreshReport();
        }

        private void ReportViewer_ReportLoaded(object sender, System.EventArgs e)
        {
            List<ReportParameter> parameters = new List<ReportParameter>();
            ReportParameter param = new ReportParameter();
            param.Values.Add("You should see this and not \"Test\"");
            param.Name = "ClientField";
            parameters.Add(param);
            this.reportViewer.SetParameters(parameters);
        }
    }
}