﻿using Syncfusion.Windows.Reports;
using Syncfusion.Windows.Reports.Viewer;
using System.Collections.Generic;
using System.IO;
using System.Reflection;
using System.Windows;

namespace SyncfusionReportsWpf
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Loaded += MainWindow_Loaded;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            List<ReportParameter> parameters = new List<ReportParameter>();
            ReportParameter param = new ReportParameter();
            param.Values.Add("You should see this and not \"Test\"");
            param.Name = "ClientField";
            parameters.Add(param);

            Assembly assembly = typeof(MainWindow).GetTypeInfo().Assembly;
            Stream reportStream = assembly.GetManifestResourceStream("SyncfusionReportsWpf.MainReport.rdlc");

            // If we comment the LoadReport line and uncomment the ReportPath line, everything still works perfectly on WPF, no infinite loading
            //reportViewer.LoadReport(reportStream);
            reportViewer.ReportPath = @"../../MainReport.rdlc";

            // On WPF the SetParameters() method seems to be working perfectly fine
            reportViewer.SetParameters(parameters);

            reportViewer.ProcessingMode = ProcessingMode.Local;
            reportViewer.RefreshReport();
        }
    }
}